Bug 40266 - drm error messages
drm error messages
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-05-11 12:08 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-16 12:06:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
zip file containing requested log and config files (22.18 KB, application/zip)
2001-05-14 15:04 EDT, Need Real Name
no flags Details
XF86Config (14.78 KB, text/plain)
2001-05-15 09:31 EDT, Need Real Name
no flags Details
XF86Config-4 (1.91 KB, text/plain)
2001-05-15 09:36 EDT, Need Real Name
no flags Details
XFree86.0.log (17.86 KB, text/plain)
2001-05-15 09:37 EDT, Need Real Name
no flags Details
var_log_messages (106.29 KB, text/plain)
2001-05-15 09:39 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-05-11 12:08:21 EDT
Description of Problem:
When I leave my machine up overnight and I come back to it in the morning,
the X server is messed up (screen flickering) and my log file is filled
with messages from the kernel about drm not being able to free (memory) due
to null pointer.  Eventually my hard disk fills up with these error
messages.  This problem happens consistently when the machine is left
unattended.  Upon reboot everything comes back up normally.

How Reproducible:
Leave the system unattended overnight.

Steps to Reproduce:
1.   Boot system
2.   Leave system running unattended for 8-12 hours

Actual Results:

Expected Results:

Additional Information:
Hardware being used:
HP vectra vl400:
Intel 866MHz PIII w/256MB RAM
Intel 82815 video
AC97 audio
standard stuff (ide drives, ps/2 keyboard and mouse)
Comment 1 Arjan van de Ven 2001-05-11 12:12:50 EDT
Can you past at least one exact message please ?
Comment 2 Need Real Name 2001-05-11 12:31:24 EDT
I'll send messages the next time it happens.  I rebooted today before saving the
log messages...
Comment 3 Mike A. Harris 2001-05-13 19:16:53 EDT
Yes, please provide the exact kernel log messages from /var/log/messages,
as well as your /etc/X11/XFree86.0.log, and your X configuration files:
/etc/X11/XF86Config and /etc/X11/XF86Config
Comment 4 Mike A. Harris 2001-05-13 19:19:08 EDT
Oops.. I just submitted by accident with a typo.  I need your:

/etc/X11/XF86Config and /etc/X11/XF86Config-4 files.

Comment 5 Need Real Name 2001-05-14 15:04:19 EDT
Created attachment 18310 [details]
zip file containing requested log and config files
Comment 6 Mike A. Harris 2001-05-15 06:33:20 EDT
The above file is unuseable to me.  unzip says it is corrupt.
Please in the future, just attach the raw files uncompressed so that they can
be easily viewed in a web browser, or downloaded and saved to disk ready to
roll.  It makes bug report tracking much simpler. I'll look at the files
as soon as you reattach them for me individually and as raw text.
Be sure to choose text/plain when you attach them.
Comment 7 Need Real Name 2001-05-15 09:31:42 EDT
Created attachment 18392 [details]
Comment 8 Need Real Name 2001-05-15 09:36:16 EDT
Created attachment 18393 [details]
Comment 9 Need Real Name 2001-05-15 09:37:09 EDT
Created attachment 18394 [details]
Comment 10 Need Real Name 2001-05-15 09:39:02 EDT
Created attachment 18395 [details]
Comment 11 Alexei Podtelezhnikov 2001-05-15 22:36:34 EDT
Someone ( bug 39846 ) told me that mtrr is supposed to be fixed in recent
rawhide from 5/15. Would you 
also test the rawhide kernel from
ftp://ftp.redhat.com/pub/linux/rawhide/i386/RedHat/RPMS before it appears in
Comment 12 Mike A. Harris 2001-05-16 12:05:29 EDT
Yes, this does look like an MTRR problem.  Another point to note though
is that you're using DRI in 1280x1024.  On a 16Mb card, that is greatly
pushing the limits IMHO.  Try 640x480 and see if it works, then increase
the resolution to 800x600, etc..  DRI needs a lot of RAM, just a ballpark
is 4 times the RAM for 2D.  2D needs x*y*fbbpp at a minimum, and double
for double buffering (default).
Comment 13 Mike A. Harris 2001-10-31 22:08:09 EST
Closing bug, unable to reproduce any problems using a properly
supported configuration for a 16Mb card.  My tests were done
at the maximum supported resolution of 1024x768x16bit with
DRI enabled, using XFree86-4.1.0-3 as shipped with Red Hat
Linux 7.2.

If you experience problems still, while using the latest release,
please reopen the bug report with new information.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.